Package org.jboss.modules

# Class ModuleLoadError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.jboss.modules.ModuleLoadError

All Implemented Interfaces:
  `Serializable`

public class ModuleLoadError extends Error
Module load error, thrown when there is some problem loading a module during runtime.

Author:
  David M. Lloyd
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModuleLoadError()`
Constructs a `ModuleLoadException` with no detail message.
`ModuleLoadError(String msg)`
Constructs a `ModuleLoadException` with the specified detail message.
`ModuleLoadError(String msg, Throwable cause)`
Constructs a `ModuleLoadException` with the specified detail message and cause.
`ModuleLoadError(Throwable cause)`
Constructs a `ModuleLoadException` with the specified cause.

## Method Summary

Modifier and Type
Method
Description
`ModuleLoadException`
`toException()`
Convert to a checked exception type.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModuleLoadError

public ModuleLoadError()
Constructs a `ModuleLoadException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### ModuleLoadError

public ModuleLoadError(String msg)
Constructs a `ModuleLoadException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

Parameters:
  `msg` - the detail message

### ModuleLoadError

public ModuleLoadError(Throwable cause)
Constructs a `ModuleLoadException` with the specified cause. The detail message is set to:

    (cause == null ? null : cause.toString())

(which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

### ModuleLoadError

public ModuleLoadError(String msg, Throwable cause)
Constructs a `ModuleLoadException` with the specified detail message and cause.

Parameters:
  `msg` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

## Method Details

### toException

public ModuleLoadException toException()
Convert to a checked exception type.

Returns:
  the checked exception